> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-6/v6-5-1.md).

# Version 6.5.1

Stay up-to-date with PDFNet 6.5.1 release notes and improvements for your project's compatibility with Xcode 6.3.2 or higher. Explore new features and enhancements in our desktop SDKs and learn about

Release Date: 2015.06.04

*Note: PDFNet 6.5.1 is compiled using Xcode 6.3.2. Please ensure your project is compiled with the version of LLVM/Clang that shipped with Xcode 6.3.2 or greater.*

* Includes the changes for 6.5.1 that were included in our desktop SDKs (other than Word2PDF, which is coming soon for mobile): [https://www.pdftron.com/documentation](https://www.pdftron.com/documentation/)
* The tools library and Complete Reader sample use NSLocalizedStringFromTableInBundle and NSLocalizedString respectively to enable internationalization of their user facing strings. There is a new project, tools-strings, in the tools source code that creates the tools strings bundle for use in an app. See the updated `Get started` blog post for more info.
* CompleteReader now includes user bookmarks stored outside the PDF.
* Adds new annotation added/modified/removed methods to the ToolManager.
* The armv7s architecture is no longer included (as per Xcode defaults), as there is no measurable performance improvement over armv7 and the extra slice adds to the app size. If you need an armv7s build, please contact us.
* Miscellaneous bug fixes and improvements.

New PDFViewCtrl Methods:

{% tabs %}
{% tab title="sh" %}
{% code lineNumbers="true" %}

````sh
- (void)UpdateOCGContext;
- ```

New PTToolCommon Protocol Methods:
````

{% endcode %}

{% endtab %} {% endtabs %}

* (BOOL)handleDoubleTap:(UITapGestureRecognizer \*)gestureRecognizer;

{% tabs %} {% tab title="sh" %}

{% code lineNumbers="true" %}

```sh
New PTPDFViewCtrlToolManager Protocol Methods:
```

{% endcode %}
{% endtab %}
{% endtabs %}

* (void)annotationAdded:(PTAnnot\*)annotation onPageNumber:(unsigned long)pageNumber;
* (void)annotationModified:(PTAnnot\*)annotation onPageNumber:(unsigned long)pageNumber;
* (void)annotationRemoved:(PTAnnot\*)annotation onPageNumber:(unsigned long)pageNumber;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-6/v6-5-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
